%global mypaint_data_version 2.0

Name: mypaint-brushes
Version: 2.0.2
Release: %mkrel 1
Summary: Brushes to be used with the MyPaint library

# According to Licenses.dep5 the files used for building/installing are GPLv2+
# but the shipped brush files are CC0
License: CC0
URL: https://github.com/mypaint/mypaint-brushes
Source0: https://github.com/mypaint/mypaint-brushes/archive/v%{version}/mypaint-brushes-%{version}.tar.gz
Group: Graphics/Editors and Converters
BuildArch: noarch
BuildRequires: autoconf
BuildRequires: automake

%package devel
Summary: Files for developing with mypaint-brushes
Requires: pkgconfig
License: GPLv2+

%description
This package contains brush files for use with MyPaint and other programs.

%description devel
This package contains a pkgconfig file which makes it easier to develop
programs using these brush files.

%prep
%autosetup

%build
./autogen.sh
%configure2_5x
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README.md
%license COPYING Licenses.dep5 Licenses.md
%dir %{_datadir}/mypaint-data
%dir %{_datadir}/mypaint-data/%{mypaint_data_version}
%{_datadir}/mypaint-data/%{mypaint_data_version}/brushes

# (tv) temp fix b/c of rpmlint rejecting the pkg:
%exclude %{_datadir}/mypaint-data/%{mypaint_data_version}/brushes/ramon/100%_Opaque*

%files devel
%license COPYING Licenses.dep5 Licenses.md
%{_datadir}/pkgconfig/mypaint-brushes-%{mypaint_data_version}.pc


%changelog
* Wed Jan 06 2021 akien <akien> 2.0.2-1.mga7
+ Revision: 1669255
- Backport for mypaint 2.0

* Tue Mar 31 2020 wally <wally> 2.0.2-1.mga8
+ Revision: 1562755
- new version 2.0.2

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-3.mga8
+ Revision: 1502209
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-2.mga7
+ Revision: 1280005
- Mageia 7 Mass Rebuild

* Wed Apr 18 2018 tv <tv> 1.3.0-1.mga7
+ Revision: 1219858
- temporary exclude 2 files so that rpmlint doesn't block the upload
- use %%configure2_5x
+ shlomif <shlomif>
- Importing based on Fedora

